import request from '@/utils/request'

/**
 * 岗位信息模块
 * @param parms
 */

// 获取数据
export function getList(parms) {
  return request({
    url: '/area/page',
    method: 'get',
    params: parms
  })
}

// 添加区域
export function addOrder(data) {
    return request({
      url: '/area/add',
      method: 'post',
      data: data
    })
  }

  //删除
  export function deletecity(id,parms) {
    return request({
        url: '/area/' + id,
        method: 'delete',
        params: parms
    })
}

  //"新增"省
  export function addcity(data){
      return request({
          url:"/dis/province/info",
          method:"get",
          data:data
      })
  }

  //"新增"市
  export function listcity(id,data){
    return request({
        url:"dis/city/area/" + id + "/2",
        method:"get",
        data:data
    })
}

//"新增"区
export function Listarea(id,data){
    return request({
        url:"/dis/city/area/" + id + "/3",
        method:"get",
        data:data
    })
}

  // 编辑区域
export function editOrder(data) {
    return request({
        url: '/area/areaId',
        method: 'put',
        data: data
    })
}

  //模糊城市
    export function partList(data) {
        return request({
            url: '/area/citys',
            method: 'get',
            data: data
        })
    }
  //模糊人
  export function cityMan(data) {
    return request({
        url: '/area/names',
        method: 'get',
        data: data
    })
}    

export function userOrder(data) {
  return request({
      url: 'user/1',
      method: 'get',
      data: data
  })
}

